Netskope LogoNetskope Logo
  • Security Services
  • AI Services
  • Networking Services
  • Analytics Services
  • Integrations
  • getting-started.svgGetting Started
    • Support
    • Community
    • Netskope.com
    © 2026 All Rights Reserved. Netskope Inc.
    Home
    Data Loss Prevention
    Data Loss Prevention On Demand
    Sending Data to DLP On Demand
    Protected: DLP On Demand API
    Start a DLP Content Inspection Job for Unstructured Data (Asynchronous)

    Start a DLP Content Inspection Job for Unstructured Data (Asynchronous)

    This API is an asynchronous endpoint for scheduling DLP (Data Loss Prevention) content inspection jobs. This API accepts content for inspection and returns either a job ID for asynchronous processing or immediate results from cache if available.

    This endpoint has some additional limitations:

    • Max File Size: 1 megabyte
    • Max DLP Profiles: 100
    • Character Length of Each Profile name: 256 characters

    Request Endpoint

    POST

    https://<appliance_ip>/inspections/jobs

    Call Example

    curl -X 'POST' \
      'https://10.0.0.1/inspections/jobs' \
      -H 'accept: multipart/form-data' \
      -H 'x-netskope-generate-incidents: true' \
      -H 'Content-Type: multipart/form-data' \
      -F 'request={"profiles":["DLP-PCI","DLP-PII"],"content":{"id":"b1f793e4d4a26ac7b695bb1fd1fb0ce3cb5d729c401d8528f8bb92598006cf85","name":"SecretFile.txt","object_id":"AA-74GXZ","true_file_type":230},"modules":{"file_filter":{"skip":true},"drm":{"labels":[{"id":"c7d03ebd-804d-489c-94c6-8167224c3c1b","name":"chris_encryption_all_enabled","instance":"epdlpsjc1","vendor":"mip"}]}},"results":{"verdict":"summary"},"sender":{"app_name":"AWS_RDS"}}' \
      -F 'content=@SecretFile.txt;type=text/txt'

    Response Example

    #A cached hit was found, therefore no job was scheduled. The results are returned in json.
    #200 Response
    HTTP/1.1 200 OK
    Content-Type: multipart/form-data; boundary=8b9eb155309408d78d1886c2af2803fdba94a7bea3dac274b3da5fa31e92

    --8b9eb155309408d78d1886c2af2803fdba94a7bea3dac274b3da5fa31e92
    Content-Disposition: form-data; name="result_data"
    Content-Type: application/json

    {"status":"success","summary":{"profiles":["DLP-PCI","DLP-PII"],"transaction_id":"3947352303853909965","verdict":"hit","verdict_type":"full"}}
    --8b9eb155309408d78d1886c2af2803fdba94a7bea3dac274b3da5fa31e92--
    #No prior request is found and a new job is started.
    #202 Response
    {
      "job_id": "8a426a5f-0d2e-0a2e-3595a-303202a7a2e"
    }

    The request header x-netskope-generate-incidents is added so that users can specify their choice for generating alerts & incidents.

    The response headers have also been created: x-netskope-incidents-posted. The response header reflect whether the alerts and incidents were posted to the management plane.

    Valid Query Parameters are:

    NameInTypeRequiredDescription
    bodybodyobjecttruenone
    » requestbodyobjecttrueSpecifies the properties of an inspection request.
    »» profilesbodytrueA list of profiles to use during the scan. Profiles determine which DLP rules are used when searching for matches.
    »» contentbodytrueDescribes the content that is being sent to DLP as part of the request.
    »»» idbodystringtrueSHA256 hash of the content
    »»» namebodystringfalseThe name (e.g. filename) of the content.
    »»» object_idbodystringfalseAn object identifier for the data.
    »»» true_file_typebodyintegerfalseNetskope true file type (numerical ID)
    »» modulesbodyfalseSpecifies settings for individual DLP modules that will be used during the inspection.
    »»» file_filterbodyobjectfalseSpecifies settings for the File Filter module.
    »»»» skipbodybooleanfalseIf true file filtering will be skipped.
    »»» drmbodyobjectfalseAllows for explicit DRM labels to be passed into DLP.
    »»»» labelsbody[object]truenone
    »»»»» idbodystringtrueThe id of the label.
    »»»»» namebodystringfalseThe name of the label.
    »»»»» instancebodystringfalseThe instance of the label.
    »»»»» vendorbodystringtrueThe vendor of the label.
    »» resultsbodyobjectfalseSpecifies properties for the DLP On Demand results returned from the inspection.
    »»» verdictbodystringfalseSpecifies how much match detail should be returned. One of the following will be returned:
    summary – Summary of the verdict is returned. This will include the outcome, verdict type, list of the profiles, severity.
    details – Includes match details. Details about verdict has result matches, profile and rules per file.
    forensics – Includes summary, details and forensics of the matches. All match details including rule information, matched text and extracted content will be returned. Please note that this will cause a full scan of the file. If no verdict is specified, it would default to summary type and the summary of the verdict will be returned.
    »» senderbodyfalseDescribes the request caller.
    »»» app_namebodystringtrueApplication that triggered the call
    » contentbodystring(binary)truenone

    Enumerated Values

    ParameterValue
    »»» verdictsummary
    details
    forensics

    Responses

    StatusMeaningDescriptionSchema
    200OKA prior request is found and this is a cached response. The results are returned in json.Inline
    202AcceptedIndicates that the request has been accepted. This is the normal, expected result.Inline
    400Bad RequestThe request was invalid. The response contains the error that caused the request to be rejected, if available.string
    413Payload Too LargeThe specified content is too large to be scanned.None
    500Internal Server ErrorAn error occurred while performing the request. The response contains the error that caused the request to be rejected, if available.string
    503Service UnavailableNo resources are available to perform the request.None

    allOf

    NameTypeRequiredRestrictionsDescription
    »»»»» anonymousfalsenoneThe name of the profile.

    and

    NameTypeRequiredRestrictionsDescription
    »»»»» anonymousanyfalsenoneThe profile to which the matched rules are attached.

    continued

    NameTypeRequiredRestrictionsDescription
    »»»» action_threshold_metbooleantruenoneIf true, the action threshold was met indicating that the DLP Client should perform the action associated with this profile. If this field is false the action threshold was not met and the action associated with this profile should not be performed.
    »»»» maximum_severitystringfalsenoneThe maximum severity of the matched rules.
    »»»» rules[object]falsenonenone
    »»»»» namestringtruenoneThe name of the rule.
    »»»»» severitystringtruenoneThe severity of the rule hit. One of:
    none
    low
    medium
    high
    critical
    »»»»» typestringtruenoneThe type of the rule. One of:
    entity: A rule that matches when a specific entity is found. For these rule matches the entity subfields will be present.
    not_entity: A rule that matches when a specific entity is not found. For these rule matches the entity subfields will be present.
    file_filter: A file filter rule. classification A classification rule. fingerprint A fingerprint rule. For these rule matches the fingerprint subfields will be present. fingerprint_group:
    A fingerprint 2.0 group rule. For these rule matches the fingerprint_group subfields will be present.
    structured_classification: A structured classification rule. For these rule matches the structured_classification subfields will be present.
    »»»»» entityobjectfalsenoneContains details about the entity rule that matched. This field is present when type is entity or not_entity.
    »»»»»» weightedbooleantruenoneIf true this rule is using the weighted score to determine the severity. If false, count is being used.
    »»»»»» scoreintegertruenoneThe weighted score of the rule matches.
    »»»»»» limit_reachedbooleantruenoneIf true the maximum number of matches for this rule was reached. This means that some identified data was omitted from the results.
    »»»»»» entities_summarytruenoneAn array of the matched entities and the corresponding counts for those entities.
    »»»»»»» entitystringtruenoneThe name of the entity that resulted in a match.
    »»»»»»» countintegertruenoneThe number of times the given entity was matched.
    »»»»»»» data_typefalsenoneGeneral data type describing this entity.
    »»»»»»» sensitivity_leveltruenoneThe severity of the rule hit. One of:
    none
    low
    medium
    high
    critical
    »»»»»» matches_countintegertruenoneThe count of entity rule matches.
    »»»»»» sensitivity_leveltruenoneHow sensitive of a match is this entity. One of:
    not_sensitive
    low
    medium
    high
    critical
    »»»»»» unique_countintegerfalsenoneThe number of unique entries that matched the rule. This field is only present when the profile specifies that rules should be uniquely counted.
    »»»»» structured_classificationobjectfalsenoneDetails of a matched classification type rule
    »»»»»» entities_summarytruenoneAn array of the matched entities and the corresponding counts for those entities.
    »»»»»» matches_countintegertruenoneThe count of entity rule matches.
    »»»»»» sensitivity_leveltruenoneHow sensitive of a match is this entity. One of
    not_sensitive
    low
    medium
    high
    critical
    »»»»»» data_typefalsenoneGeneral data type describing this entity.
    »»»»» fingerprintobjectfalsenoneThis field is present when type is fingerprint.
    »»»»»» classificationstringtruenoneThe classification that matched.
    »»»»»» matchstringtruenoneThe file that matched.
    »»»»»» scoreintegertruenoneThe score of the matched finterprint.
    »»»»» fingerprint_groupobjectfalsenoneThis field is present when type is fingerprint_group.
    »»»»»» matchstringtruenoneThe fingerprinted file that matched.
    »»»»»» scoreintegertruenoneThe similarity score of matched fingerprinted file.
    »»» forensicsobjectfalsenonenone
    »»»» extracted_textstring(string)falsenoneString identifier used to correlate the extracted text with its corresponding part in the multipart response
    »»»» entity_rule_matchesstring(string)falsenoneString identifier used to correlate the entity rule matches with its corresponding part in the multipart response.
    »»»» preview_imagestring(string)falsenoneString identifier used to correlate the preview image with its corresponding part in the multipart response.
    »»»» original_subfilestring(string)falsenoneString identifier used to correlate the original subfile with its corresponding part in the multipart response.

    Enumerated Values

    PropertyValue
    InspectionStatus: statussuccess
    timeout
    error
    verdicthit
    no_hit
    verdict_typefull
    partial
    severitynone
    low
    medium
    high
    critical
    MicrosoftAipProtectionStatus: statusprotected
    unsanctioned
    sanctioned
    severitynone
    low
    medium
    high
    critical
    typeentity
    not_entity
    file_filter
    classification
    fingerprint
    fingerprint_group
    structured_classification
    sensitivity_levelnot_sensitive
    low
    medium
    high
    critical

    Status Code 202

    This object is returned to the DLP On Demand Appliance for an asynchronous inspection request to indicate that DLP has accepted the request and will process it asynchronously.

    NameTypeRequiredRestrictionsDescription
    » job_idtruenoneA request-specific token.

    This operation does not require authentication

    In this Topic
    • Start a DLP Content Inspection Job for Unstructured Data (Asynchronous)